`timescale 1 ns/1 ps

module testbench;

localparam T = 10;

reg        test_clk, test_rstb;
reg  [1:0] test_r;
wire [1:0] test_g;

arbiter_mealy uut (
   .clk (test_clk ),
   .rstb(test_rstb),
   .r   (test_r   ),
   .g   (test_g   )
);

always #T test_clk = ~test_clk;

initial begin
   test_clk = 0;
   test_rstb = 0;
   test_r = 2'b00;
   @(negedge test_clk) test_rstb = 1; test_r = 2'b01;
   repeat (3) @(negedge test_clk); test_r = 2'b10;
   repeat (3) @(negedge test_clk); test_r = 2'b00;
   repeat (3) @(negedge test_clk); test_r = 2'b11;
   repeat (3) @(negedge test_clk);
   $stop;
end

endmodule