module edge_detector_opt(
    input  clk, rstb,
    input  strobe,
    output p3
);

reg strobe_delay;

// register
always @(posedge clk or negedge rstb) begin
    if (~rstb) strobe_delay <= 0;
    else       strobe_delay <= strobe;
end

// output logic
assign p3 = strobe & ~strobe_delay;

endmodule