`timescale 1 ns/1 ps

module testbench;

localparam T = 10;

reg  test_clk, test_rstb;
reg  test_strobe;
wire test_p3;

edge_detector_opt uut (
   .clk   (test_clk   ),
   .rstb  (test_rstb  ),
   .strobe(test_strobe),
   .p3    (test_p3    )
);

always #T test_clk = ~test_clk;

initial begin
   test_clk = 0;
   test_rstb = 0;
   test_strobe = 0; #13; test_strobe = 1; #4; test_strobe = 0;
   @(negedge test_clk) test_rstb = 1; test_strobe = 1;
   repeat (3) @(negedge test_clk); test_strobe = 0;
   repeat (3) @(negedge test_clk);
   $stop;
end

endmodule